Skip to main content
PATCH
Attribute a deposit

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Headers

Idempotency-Key
string
required

Client-supplied key that deduplicates retried requests. Reusing a key returns the original result instead of repeating the action.

Api-Signature
string
required

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Pattern: ^[0-9A-Fa-f]{128,160}$
Api-Timestamp
integer<int64>
required

Current timestamp, represented as unix epoch seconds

Path Parameters

depositTransactionId
string
required

The transactionId where the transactionType is DEPOSIT. The 32-character hexadecimal transactionId where the transactionType is DEPOSIT

Pattern: ^[0-9A-Fa-f]+$
Example:

"0e2b2f9d8d104f1e960b28567255045f"

Body

application/json
originatorName
string
required

The name of the originator of this deposit. This field is required in order to perform an attribution.

Minimum string length: 1
Example:

"John Doe"

originatorCountry
string
required

The country code (ISO 3166-1 alpha-2) of the originator of this deposit. This field is required in order to perform an attribution.

Required string length: 2
Example:

"US"

sourceWalletType
enum<string>
required

The type of wallet being used by the deposit originator:

Available options:
CUSTODIAL,
SELF_HOSTED
Minimum string length: 1
Example:

"CUSTODIAL"

notes
string

Additional notes for the deposit attribution.

Example:

"US"

Response

Deposit attributed successfully

data
Perform Deposit Attribution Result · object
required